import React, { useState, useEffect } from 'react';
import { Item } from 'Order';
import {
    Table,
    Thead,
    Tbody,
    Tfoot,
    Tr,
    Th,
    Td,
    TableCaption,
    Input,
    Wrap,
    WrapItem
  } from "@chakra-ui/react"

const OrderShowDetails = (props: any) => {
    const [items, setItems] = useState<Item[]>()
    useEffect(() => {
        setItems(props.items)
    }, [props.items])

    const itemMap = (items: Item[]) => {
        return items.map((item: Item, idx: number) => {
            return (
                <Tr key={idx} >
                    <Td >{item.itemId}</Td >
                    <Td >{item.itemPrice}</Td >
                    <Td >{item.itemQuantity}</Td >
                    <Td >{item.itemSku}</Td >
                </Tr>
            )
        });
    }

    const itemDetails = items ? itemMap(items) : <></>
    
    return (
        items ? 
            <Table variant="striped" colorScheme="messenger" size="lg">
                <Thead >
                    <Tr className="table-header" >
                        <Th fontSize="21px" color="rgba(255, 166, 0, 0.897)">ID</Th>
                        <Th fontSize="21px" color="rgba(255, 166, 0, 0.897)">Price</Th>
                        <Th fontSize="21px" color="rgba(255, 166, 0, 0.897)">Quantity</Th>
                        <Th fontSize="21px" color="rgba(255, 166, 0, 0.897)">SKU</Th>
                    </Tr>
                </Thead>
                <Tbody>
                    {itemDetails}
                </Tbody>
            </Table>
        :
            <div className="Order without items">
                This order didn't contain any items.
            </div>
    )
}

export default OrderShowDetails
